## scim client-0.1.2

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = scim_client
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## scim 1.4.7-2maemo1

=== debian/changelog ===
scim (1.4.7-2maemo1) chinook; urgency=low

  * Change prefix to /opt/maemocjk

 -- Kimitake <kimitake@gmail.com>  Mon, 28 Dec 2009 22:12:38 -0800

scim (1.4.7-1maemo1) chinook; urgency=low

  * TOPLEVEL window insted of POPUP for toolbar. POPUP window in Maemo can
    disappear strangely when not using transient_for.

 -- Makoto Sugano <makoto.sugano@gmail.com>  Mon, 17 Dec 2007 17:16:00 +0200

scim (1.4.7-1ubuntu2) gutsy; urgency=low

  * Add scim-gtk2-immodule to scim's Depends, LP: #139249

 -- Arne Goetje <arne@ubuntu.com>  Thu, 20 Sep 2007 09:44:30 +0800

scim (1.4.7-1ubuntu1) gutsy; urgency=low

  * Merge with Debian for new upstream, remaining changes:
   - Adds kubuntu_01_hide_in_kde.dpatch, removed the scim-setup entry in
     Kmenu, since that duplicates with skim
   - Move usr/lib/libscim-gtkutils-1.0.so.8 and 
     usr/lib/libscim-gtkutils-1.0.so.8.* to scim-gtk2-immodule.
   - Add scim-gtk2-immodule to libscim-dev's Depends, LP: #42024.
   - Set Maintainer to Ubuntu Core developers
   - debian/patches/20_scim_config.dpatch: 
    - Enable Trigger keys with CJK native keys  (ubuntu: #37687),

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 25 Jul 2007 13:37:03 +0100

scim (1.4.7-2) UNRELEASED; urgency=low

  * Don't install desktop entry scim-setup.desktop in deprecated location
    /usr/share/control-center-2.0/capplets/ anymore.
    - Add 10_remove-deprecated-desktop-entry dpatch to remove relevant part in
      extras/setup/Makefile.am.
    - Regenerate 90_relibtoolize dpatch.
    - Remove the "usr/share/control-center-2.0/capplets/scim-setup.desktop"
      line in debian/scim.install.

 -- Ming Hua <minghua-guest@users.alioth.debian.org>  Sun, 22 Jul 2007 02:23:26 -0500

scim (1.4.7-1) unstable; urgency=low

  The "keeping up with upstream" release.

  * New upstream release.
    - Include missing header, this time <cstring>, for a few files, to make
      scim buildable with (the constantly evolving) GCC 4.3.
      (Closes: #417686, again)
    - Remove an infinite loop with 0.1 second timeout in the X11 frontend to
      avoid waking up CPU constantly, therefore preserve power consumption and
      extend laptop battery life.  (Fixes LP: #122445)
    - Change 10_gtk-immodule-install-dir dpatch to patch configure.ac instead
      of extras/gtk2_immodule/Makefile.am, to adapt to the upstream change.
    - Regenerate 90_relibtoolize dpatch.  Also adjust the timestamp touching
      in debian/rules accordingly.
  * Clarify build dependency.
    - Remove intltool as upstream tarball ships its own 0.33 version.
    - Add libpango1.0-dev, libglib2.0-dev, and pkg-config explicitly (used to
      be pulled in by libgtk2.0-dev).
  * Add libx11-dev as a dependency of libscim-dev explicitly, it used to be
    pulled in by libgtk2.0-dev.
  * Add scim-thai to scim's "Suggests:" list.
  * Add "-W -g" compiler flags back.  The warnings are somehow useful when
    reading the build logs, and the debug information will be useful for
    manually built packages with DEB_BUILD_OPTIONS=nostrip.
  * Change maintainer's email address.

 -- Ming Hua <minghua-guest@users.alioth.debian.org>  Sat, 30 Jun 2007 21:41:52 -0500

scim (1.4.6-1ubuntu3) gutsy; urgency=low

  * Adds kubuntu_01_hide_in_kde.dpatch, removed the scim-setup entry in
    Kmenu, since that duplicates with skim

 -- Anthony Mercatante <tonio@ubuntu.com>  Wed, 04 Jul 2007 14:32:47 +0200

scim (1.4.6-1ubuntu2) gutsy; urgency=low

  * Reassign usr/lib/libscim-gtkutils-1.0.so.8 and 
    usr/lib/libscim-gtkutils-1.0.so.8.* to scim-gtk2-immodule.
  * Add scim-gtk2-immodule to libscim-dev's Depends, LP: #42024.

 -- ZhengPeng Hou <zhengpeng-hou@ubuntu.com>  Wed, 16 May 2007 14:20:11 +0800

scim (1.4.6-1ubuntu1) gutsy; urgency=low

  * Merge from Debian sid:
    - Set Maintainer to Ubuntu Core developers
  * Update patch 20_scim_config.dpatch

 -- ZhengPeng Hou <zhengpeng-hou@ubuntu.com>  Fri, 11 May 2007 10:38:56 +0800

scim (1.4.6-1) unstable; urgency=low

  The "Oh, shiny!" release.

  * New upstream release.  (Closes: #399736)
    - Include <climits> header in src/scim_iconv.cpp, fixing FTBFS with GCC
      4.3.  Thanks to Martin Michlmayr for testing and the patch.
      (Closes: #417686)
    - The "Exit" item in the menu of notification area icon is built by
      default now, so that users can quit scim from the graphical interface.
      (Closes: #417950)
    - ABI changed, bump shlibs version to libscim8c2a (>= 1.4.6).
    - Add debian/libscim-dev.NEWS file to alert the changes of module
      installation path (will be installed as the NEWS.Debian file for
      libscim-dev package).  Also rename debian/NEWS file to debian/scim.NEWS.
  * For the install directory of GTK IM module, use GTK binary version from
    pkg-config results instead of hardcoded value.  Thanks to Loïc Minier for
    the patch.  (Closes: #420497)
  * Rename 11_relibtoolize.dpatch to 90_relibtoolize.dpatch and regenerate it.
  * Correct a typo in the package description of scim.
  * Add XS-Vcs-Svn and XS-Vcs-Browser fields.
  * Use ${source:Version} and ${binary:Version} for versioned dependencies
    instead of deprecated ${Source-Version}.  Add dpkg-dev (>= 1.13.19) to
    Build-Depends to support this format.
  * Add "Enhances: scim" relationship for scim-gtk2-immodules and
    scim-modules-socket.

 -- Ming Hua <minghua@rice.edu>  Fri, 04 May 2007 01:01:47 -0500

scim (1.4.4-8) unstable; urgency=low

  The "etch is released, welcome lenny" release.

  * Rewrite debian/rules.
    - Use the platform detection code recommended by autotools-dev.
    - Drop unused "-W -g" compiler flags.
    - Do not use binary-common target anymore and separate binary-arch and
      binary-indep target completely.
    - Add more safeguarding code to detect building errors.
    - Finally remove all the cruft introduced by dh_make.
  * Adapt to GTK+ 2.10 ABI change.  (Closes: 419314)
    - Install GTK IM module into /usr/lib/gtk-2.0/2.10.0/immodules.


=== debian/control ===
Source: scim
Section: utilities
Priority: optional
Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ming Hua <minghua@rice.edu>
Uploaders: Osamu Aoki <osamu@debian.org>
Build-Depends: dpkg-dev (>= 1.13.19), debhelper (>= 4.0.0), dpatch, autotools-dev, pkg-config, x11proto-core-dev, libx11-dev, libpango1.0-dev, libglib2.0-dev, libgtk2.0-dev (>= 2.10.1-1), hildon-control-panel-dev, libosso-dev
Standards-Version: 3.7.2
XS-Vcs-Svn: svn://svn.debian.org/pkg-ime/scim/trunk/
XS-Vcs-Browser: http://svn.debian.org/wsvn/pkg-ime/scim/trunk/

Package: scim
Section: utilities
Architecture: any
Depends: ${shlibs:Depends}, scim-gtk2-immodule (= ${binary:Version})
Recommends: im-switch
Suggests: scim-uim, scim-pinyin, scim-hangul, scim-chewing, scim-m17n, scim-prime, scim-anthy, scim-skk, scim-canna, scim-tables-additional, scim-tables-ja, scim-tables-ko, scim-tables-zh, scim-thai
Conflicts: scim-tables-zh (<< 0.4.2), scim-tables-ja (<< 0.4.2), scim-tables-ko (<< 0.4.2), scim-tables-additional (<< 0.4.2), scim-gtk2-immodule (<< 1.2.0), scim-server-socket (<< 1.2.0), scim-frontend-socket (<< 1.2.0), scim-config-socket (<< 1.2.0), scim-config-gconf (<< 1.2.0), scim-chinese (<< 0.5.0), scim-uim (<= 0.1.3-2), scim-m17n (<= 0.1.3-1), scim-hangul (<= 0.1.2-1), scim-chewing (<= 0.2.0-2.1)
Description: smart common input method platform
 Smart Common Input Method (SCIM) is an input method (IM) platform.  Input
 methods are needed to enter complex characters in many non-latin languages.
 SCIM provides a common platform for various plugin modules and independent IM
 programs, as well as a set of modules and programs on its own.  It is highly
 modularized and exposes abstract interfaces, so that plugin modules with
 different functions can easily communicate with each other.  The currently
 supported module types are configuration, IM engine, front end, filter, and
 setup GUI.
 .
 SCIM achieves the communication between IM engines and front ends through
 both shared library linking and server/client mode.  It supports XIM
 protocol, as well as GTK+ IM module and Qt IM module.
 .
 This package is the main binary package of SCIM.  It includes: the main
 program scim (GTK+ based) and other support programs; simple configuration
 module, X11 front end module, rawcode IM engine module,
 simplified/traditional Chinese conversion filter module, and their
 corresponding setup GUI modules; GTK+ panel and its setup GUI module; and a
 GTK+ based setup tool.
 .
 SCIM is a well accepted platform and features various input method engines
 for many languages.  In Debian you can find the following separately packaged
 IMs useful: scim-tables-{additional,ja,ko,zh}, scim-pinyin, scim-uim,
 scim-m17n, scim-chewing, scim-anthy, scim-canna, scim-prime, and scim-skk.
 GTK+ users would also find package scim-gtk2-immodule useful for GTK+ IM
 module support.
 .
 For development on SCIM platform, please see the description of scim-dev
 package.
 .
 Homepage: http://www.scim-im.org/

Package: libscim8c2a
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: scim (<< 1.2.0), libscim8
Replaces: scim (<< 1.2.0), libscim8
Description: library for SCIM platform
 SCIM (Smart Common Input Method) is an input method (IM) platform.
 .
 This package provides runtime libraries for SCIM platform.
 .
 For more information about SCIM, please see the description of scim package.

Package: libscim-dev
Section: libdevel
Architecture: any
Depends: libscim8c2a (= ${binary:Version}), libx11-dev, libgtk2.0-dev, libpango1.0-dev, scim-gtk2-immodule
Conflicts: scim-dev (<< 1.2.0)
Replaces: scim-dev (<< 1.2.0)
Description: development library for SCIM platform
 SCIM (Smart Common Input Method) is an input method (IM) platform.
 .
 This package provides development libraries on SCIM platform, including the
 header files and static libraries.  The development documentations can be
 found in the scim-dev-doc package.
 .
 SCIM can be used as a dynamically loaded library on a single machine, or as a
 server/client model through socket in a network environment.  As a component
 of the system, SCIM can work with existing IM framework such as XIM or IIIMF
 (in progress), as well as using client specific IM interface, such as GTK+
 IM module or Qt IM module.  SCIM provides an IM application, scim, which use
 various IM engines to provide input methods for many languages, either by
 native modules (such as scim-pinyin and scim-hangul) or interfaces to other
 IM libraries (such as scim-anthy, scim-uim, scim-m17n, and scim-chewing).
 .
 For more information about SCIM, please see the description of scim package.

Package: scim-gtk2-immodule
Section: utilities
Architecture: any
Depends: scim-modules-socket (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Enhances: scim
Description: GTK+2 input method module with SCIM as backend
 SCIM (Smart Common Input Method) is an input method (IM) platform.
 .
 This package is the GTK+ 2.x native input method module for SCIM.  It provide
 a GTK IM module with SCIM as the input backend.  This input method module
 should work within all GTK+ 2.x platforms, including gtk-x11, gtk-linuxfb and
 gtk-directfb.
 .
 The GTK IM module communicates with SCIM backend through the socket IM engine
 module and socket front end module provided by scim-modules-socket package.
 .
 For more information about SCIM, please see the description of scim package.

Package: scim-modules-socket
Section: utilities
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: scim-config-socket, scim-frontend-socket, scim-server-socket
Replaces: scim-config-socket, scim-frontend-socket, scim-server-socket
Provides: scim-config-socket, scim-frontend-socket, scim-server-socket
Enhances: scim
Description: socket modules for SCIM platform
 SCIM (Smart Common Input Method) is an input method (IM) platform.
 .
 This package provides the socket modules for SCIM.  SCIM can use a local or
 inet socket as the front end and connect to the configuration and IM engine
 modules.  Then other computers and/or environments can share these input
 methods by connecting to the socket with socket IM engine module and socket
 configure module.
 .
 For more information about SCIM, please see the description of scim package.

Package: scim-dev
Section: devel
Architecture: all
Depends: libscim-dev (>= ${source:Version}), scim-dev-doc (= ${source:Version})
Description: development files for SCIM platform
 SCIM (Smart Common Input Method) is an input method (IM) platform.
 .
 This package is a meta package to provide development libraries and
 documentations for SCIM platform.
 .
 For more information about SCIM, please see the description of scim package.

Package: scim-dev-doc
Section: doc
Architecture: all
Description: development documentation for SCIM platform
 SCIM (Smart Common Input Method) is an input method (IM) platform.
 .
 This package contains doxygen-generated HTML development documentation
 for SCIM APIs.
 .
 For more information about SCIM and SCIM development, please see the
 description of scim and scim-dev packages.

## scim 1.4.7-2maemo2

=== debian/changelog ===
scim (1.4.7-2maemo2) fremantle; urgency=low

  * Remove scim.postinst 

 -- Kimitake <kimitake@gmail.com>  Sat,  2 Jan 2010 17:34:56 -0800

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Ming Hua <minghua@rice.edu>
 Uploaders: Osamu Aoki <osamu@debian.org>
-Build-Depends: dpkg-dev (>= 1.13.19), debhelper (>= 4.0.0), dpatch, autotools-dev, pkg-config, x11proto-core-dev, libx11-dev, libpango1.0-dev, libglib2.0-dev, libgtk2.0-dev (>= 2.10.1-1), hildon-control-panel-dev, libosso-dev
+Build-Depends: dpkg-dev (>= 1.13.19), debhelper (>= 4.0.0), dpatch, autotools-dev, pkg-config, x11proto-core-dev, libx11-dev, libpango1.0-dev, libglib2.0-dev, libgtk2.0-dev (>= 2.10.1-1), hildon-control-panel-dev, libosso-dev, libhildon1-dev
 Standards-Version: 3.7.2
 XS-Vcs-Svn: svn://svn.debian.org/pkg-ime/scim/trunk/
 XS-Vcs-Browser: http://svn.debian.org/wsvn/pkg-ime/scim/trunk/

=== debian/rules ===
#!/usr/bin/make -f
#
# debian/rules for scim package
# Copyright Ming Hua <minghua@rice.edu>, 2006
#
# This file is distributed under the same license as SCIM.

# uncomment this to turn on verbose mode
#export DH_VERBOSE = 1
export MAEMOCJK=/opt/maemocjk

# set the platform for configure script, especially useful for cross-compiling
DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifeq ($(DEB_HOST_GNU_TYPE), $(DEB_BUILD_GNU_TYPE))
	CONFFLAGS += --build=$(DEB_BUILD_GNU_TYPE)
else
	CONFFLAGS += --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
endif
# for more information, see /usr/share/doc/autotools-dev/README.Debian.gz

# set compiler flags, enable warning and debug
CFLAGS += -W -g
CXXFLAGS += -W -g
# set optimization level
ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O
	CXXFLAGS += -O
else
	CFLAGS += -O0
	CXXFLAGS += -O0
endif

clean: clean-patched unpatch

clean-patched:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	# only run "make distclean" if a Makefile exists
	[ ! -f Makefile ] || $(MAKE) distclean
	# remove existent config.{guess,sub} as we use the ones from
	# autotools-dev package
	rm -f config.guess config.sub
	dh_clean

patch: patch-stamp
patch-stamp:
	dh_testdir
	# dpatch apply-all
	# fix timestamp skews, note this is still quite hackish and depends on
	# which files the 90_relibtoolize patch touches
	touch -r config.h.in aclocal.m4 configure.ac
	# put information about applied patches in the stamp file
	# dpatch cat-all -nd >$@

unpatch:
	dh_testdir
	# dpatch deapply-all
	rm -rf debian/patched
	rm -f patch-stamp

config.status: patch-stamp
	dh_testdir
	# link config.{guess,sub} from autotools-dev package
	ln -sf /usr/share/misc/config.guess config.guess
	ln -sf /usr/share/misc/config.sub config.sub
	rm -f config.cache
	# run configure with all necessary definitions and options
	./configure \
		CFLAGS="$(CFLAGS)" \
		CXXFLAGS="$(CXXFLAGS)" \
		$(CONFFLAGS) \
		--prefix=$(MAEMOCJK)/usr \
		--mandir=\$${prefix}/share/man \
		--sysconfdir=/etc \
		--disable-dependency-tracking \
		--with-maemo

build: build-stamp
build-stamp: config.status
	dh_testdir
	dh_clean
	$(MAKE)
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
#	# install im-switch support
#	install -m 644 -D \
#		debian/im-switch/scim debian/tmp/etc/X11/xinit/xinput.d/scim
#	install -m 644 -D \
#		debian/im-switch/scim-immodule \
#		debian/tmp/etc/X11/xinit/xinput.d/scim-immodule
	# install reportbug script
	install -m 755 -D \
		debian/scim.script debian/tmp$(MAEMOCJK)/usr/share/bug/scim/script
	# clean up unnecessary static library files for modules
	rm debian/tmp$(MAEMOCJK)/usr/lib/scim-1.0/1.4.0/*/*.la
	rm debian/tmp$(MAEMOCJK)/usr/lib/scim-1.0/1.4.0/*/*.a
	rm debian/tmp/usr/lib/gtk-2.0/*/immodules/im-scim.a
	rm debian/tmp/usr/lib/gtk-2.0/*/immodules/im-scim.la
	# distribute files to different binary packages
	dh_install --sourcedir=debian/tmp --fail-missing
	touch $@

binary: binary-arch binary-indep

binary-arch: build
	dh_testdir
	dh_testroot
	dh_installchangelogs -a ChangeLog
	dh_installdocs -a -X Makefile
	dh_installman -a
#	LD_LIBRARY_PATH=debian/libscim8c2a/usr/lib:$(LD_LIBRARY_PATH) \
#		dh_gtkmodules -p scim-gtk2-immodule
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -p libscim8c2a -V "libscim8c2a (>= 1.4.6)"
	dh_installdeb -a
	dh_shlibdeps -a -l debian/libscim8c2a$(MAEMOCJK)/usr/lib -L libscim8c2a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary-indep: build
	dh_testdir
	dh_testroot
	dh_installchangelogs -i ChangeLog
#	dh_installdocs -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

.SUFFIXES:
.PHONY: clean build binary binary-arch binary-indep clean-patched patch unpatch

# vim:textwidth=0:

## scim 1.4.7-2maemo3

=== debian/changelog ===
scim (1.4.7-2maemo3) fremantle; urgency=low

  * Revert scim.postinst
    The script should call gtk-query-immodules-2.0 and update gtk.immodules
  * Update Section info of scim package to display it on Application Manager

 -- Kimitake <kimitake@gmail.com>  Mon,  4 Jan 2010 05:31:20 -0800

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Ming Hua <minghua@rice.edu>
 Uploaders: Osamu Aoki <osamu@debian.org>
-Build-Depends: dpkg-dev (>= 1.13.19), debhelper (>= 4.0.0), dpatch, autotools-dev, pkg-config, x11proto-core-dev, libx11-dev, libpango1.0-dev, libglib2.0-dev, libgtk2.0-dev (>= 2.10.1-1), hildon-control-panel-dev, libosso-dev, libhildon1-dev
+Build-Depends: dpkg-dev (>= 1.13.19), debhelper (>= 4.0.0), dpatch, autotools-dev, pkg-config, x11proto-core-dev, libx11-dev, libpango1.0-dev, libglib2.0-dev, libgtk2.0-dev (>= 2.10.1-1)
 Standards-Version: 3.7.2
 XS-Vcs-Svn: svn://svn.debian.org/pkg-ime/scim/trunk/
 XS-Vcs-Browser: http://svn.debian.org/wsvn/pkg-ime/scim/trunk/
 
 Package: scim
-Section: utilities
+Section: user/utilities
 Architecture: any
 Depends: ${shlibs:Depends}, scim-gtk2-immodule (= ${binary:Version})
 Recommends: im-switch

## scim 1.4.9

=== debian/changelog ===
scim (1.4.9-7) unstable; urgency=medium

  * fix FTBFS from introduction of multi-arch. Closes: #640629, LP: #832945.
    full multi-arch support still needs further work.

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Tue, 13 Sep 2011 23:53:16 +0900

scim (1.4.9-6) unstable; urgency=low

  * debian/im-switch/scim-immodule: test for readability instead of
    executability of immodules files.  Closes: #595150.
  * debian/patches/72_fix-fr-translation-hindi.patch
    Fix translation for "Hindi". (LP: #310123)

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Tue, 26 Oct 2010 03:43:00 +0900

scim (1.4.9-5) unstable; urgency=low

  * debian/copyright: add my copyright
  * debian/control: update to standard 3.9.1, no further changes necessary

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Wed, 11 Aug 2010 18:28:44 +0200

scim (1.4.9-4) unstable; urgency=medium

  * debian/patches: push back patches upstream, document status
  * debian/rules: empty dependency_libs field in .la files (Closes: 591628)

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sun, 08 Aug 2010 21:04:51 +0200

scim (1.4.9-3) unstable; urgency=low

  [ Osamu Aoki ]
  * update debian/control pointing to git repo

  [ Rolf Leggewie ]
  * debian/control: take over maintainership of scim from Ming-Hua
  * debian/control: add DMUA field
  * debian/patches/70_fix-disappeared-status-icon.dpatch: fix missing
    taskbar icon (LP: #475800)
  * debian/control: update to 3.8.4 standard
  * debian/README.source: document commands to get patched source
  * debian/source: make explicit that we are still using DebSrc1.0
    format
  * add help2man-generated man pages for scim-setup and scim-config-
    agent

  [ Osamu Aoki ]
  * fix broken manpages
  * conversion to 3.0 (quilt) format
  * renumbered patches to match FC14
  * used GTK_IM_MODULE=scim as default. Closes: #587524
  * Supported scim-bridge
  * added package dependency to im-config etc.
  * debian/rules: converted to new dh syntax
  * imported patches including one for rpath from the FC14 package.
  * replaced config by the FC14 scim-system-config
  * build with autoreconf
  * fixed doc-base for scim-dev-doc. Closes: #295802

 -- Osamu Aoki <osamu@debian.org>  Sat, 03 Jul 2010 23:10:21 +0900

scim (1.4.9-2) unstable; urgency=low

  The "contributions from Ubuntu" release

  [ Rolf Leggewie ]
  * debian/README*: fix some spelling mistakes and bitrot
  * debian/rules: remove obsolete Chinese manual (Closes: #427520)
  * debian/control: 
    - let scim-bridge pull in clients packages by default
    - let libscim8c2a conflict with older versions of scim-gtk2-immodule
      to offer Ubuntu a safe way out of earlier packaging mistakes
  * debian/scim.postinst: improve handling of update-alternatives
  * debian/patches: 
    - push back and update a number of patches from Ubuntu
    - drop AltGr as trigger key from 20_scim_config.dpatch
  * add a lintian override for libscim8c2a package

  [ Jari Aalto ]
  * 60_gcc-4.4-const-char.dpatch: fix compile with gcc 4.4 (Closes: #560486)

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Fri, 15 Jan 2010 15:03:37 +0100

scim (1.4.9-1) unstable; urgency=low

  [ Rolf Leggewie ]
  * new upstream release (Closes: #525289)
  * fix spelling mistake in im-switch files.  (Closes: #494189)
  * update to standard 3.8.1 and make lintian clean
  * drop 90_relibtoolize.dpatch, looks like the retooling was done upstream

  [ LI Daobing ]
  * debian/control: 
    - add me to uploaders. 
    - bump debhelper version to >= 7.
    - fix typo in description: GTK -> GTK+.
    - fix typo in description: meta package -> metapackage.
  * debian/compat:
    - bump debhelper version to 7.
  * debian/scim-dev-doc.doc-base: change section to Text. 
  * debian/rules: 
    - bump shlib version to 1.4.9.
    - change "rm" to "rm -f".
    - remove deprecated desktop entry
    - fix gtk immodule install dir
  * debian/patches/00list:
    - disable 10_remove-deprecated-desktop-entry.dpatch and
      10_gtk-immodule-install-dir.dpatch.

 -- LI Daobing <lidaobing@debian.org>  Tue, 28 Apr 2009 20:58:08 +0800

scim (1.4.7-3) unstable; urgency=low

  The "give credit where credit is due" release.

  * Update debian/copyright.
    - Update information about current package maintainers.
    - Specify upstream release tarball download URL.
    - Clarify the copyright and licensing information of the files in
      modules/FrontEnd/IMdkit/ which are under MIT/BSD like licenses.  Thanks
      ZhengPeng Hou for reporting this issue.  (Closes: #438639)
    - Clarify copyright and licensing of Debian packaging.
    - Refer to /usr/share/common-licenses/LGPL-2.1 for the text of LGPL,
      instead of the symbolic link.
  * Define $XIM_PROGRAM_SETS_ITSELF_AS_DAEMON variable in both "scim" and
    "scim-immodule" im-switch settings, to avoid leaving a zombie process when
    im-switch is used to start scim.  (Closes: #431294)
  * Add 50_validate-desktop-entry dpatch, to fix a few issues in
    scim-setup.desktop revealed by desktop-file-validate tool.
    - Use absolute path for the icon.
    - Remove deprecated "Applications" category.
    - Remove deprecated key "Encoding".
  * Change XS-Vcs-* fields in debian/control to Vcs-*, now that they are
    supported by dpkg.  Bump the dpkg-dev version in build dependency to
    1.14.6, to guarantee that we have a dpkg that supports this feature.
  * Use the official "Homepage" field in debian/control instead of putting the
    upstream homepage in package's long description.
  * Update to policy version 3.7.3.

 -- Ming Hua <minghua-guest@users.alioth.debian.org>  Mon, 28 Jan 2008 10:01:04 -0600

scim (1.4.7-2) unstable; urgency=low

  The "late documentation is still better than no documentation" release.

  * Enable SCIM's Qt 3 IM module setting in the im-switch configuration file
    /etc/X11/xinit/Xinput.d/scim-immodule.  The module is provided by the
    scim-qtimm package.
  * Don't install desktop entry scim-setup.desktop in deprecated location


=== debian/control ===
--- 
+++ 
@@ -1,19 +1,24 @@
 Source: scim
-Section: utilities
+Section: utils
 Priority: optional
-Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ming Hua <minghua@rice.edu>
-Uploaders: Osamu Aoki <osamu@debian.org>
-Build-Depends: dpkg-dev (>= 1.13.19), debhelper (>= 4.0.0), dpatch, autotools-dev, pkg-config, x11proto-core-dev, libx11-dev, libpango1.0-dev, libglib2.0-dev, libgtk2.0-dev (>= 2.10.1-1)
-Standards-Version: 3.7.2
-XS-Vcs-Svn: svn://svn.debian.org/pkg-ime/scim/trunk/
-XS-Vcs-Browser: http://svn.debian.org/wsvn/pkg-ime/scim/trunk/
+DM-Upload-Allowed: yes
+Maintainer: Rolf Leggewie <foss@rolf.leggewie.biz>
+Uploaders: 
+ Osamu Aoki <osamu@debian.org>, 
+ LI Daobing <lidaobing@debian.org>,
+ Ming Hua <minghua-guest@users.alioth.debian.org>
+Build-Depends: dpkg-dev (>= 1.14.6), debhelper (>= 8.1.3~), autotools-dev, pkg-config, x11proto-core-dev, libx11-dev, libpango1.0-dev, libglib2.0-dev, libgtk2.0-dev (>= 2.10.1), dh-autoreconf, libltdl-dev
+Standards-Version: 3.9.1
+Homepage: http://www.scim-im.org/
+Vcs-git: git://git.debian.org/git/collab-maint/scim.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/scim.git
 
 Package: scim
-Section: user/utilities
 Architecture: any
-Depends: ${shlibs:Depends}, scim-gtk2-immodule (= ${binary:Version})
-Recommends: im-switch
+Multi-Arch: foreign
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: scim-gtk2-immodule (= ${binary:Version}), im-config | im-switch, scim-bridge-agent
 Suggests: scim-uim, scim-pinyin, scim-hangul, scim-chewing, scim-m17n, scim-prime, scim-anthy, scim-skk, scim-canna, scim-tables-additional, scim-tables-ja, scim-tables-ko, scim-tables-zh, scim-thai
 Conflicts: scim-tables-zh (<< 0.4.2), scim-tables-ja (<< 0.4.2), scim-tables-ko (<< 0.4.2), scim-tables-additional (<< 0.4.2), scim-gtk2-immodule (<< 1.2.0), scim-server-socket (<< 1.2.0), scim-frontend-socket (<< 1.2.0), scim-config-socket (<< 1.2.0), scim-config-gconf (<< 1.2.0), scim-chinese (<< 0.5.0), scim-uim (<= 0.1.3-2), scim-m17n (<= 0.1.3-1), scim-hangul (<= 0.1.2-1), scim-chewing (<= 0.2.0-2.1)
 Description: smart common input method platform
@@ -46,14 +51,13 @@
  .
  For development on SCIM platform, please see the description of scim-dev
  package.
- .
- Homepage: http://www.scim-im.org/
 
 Package: libscim8c2a
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}
-Conflicts: scim (<< 1.2.0), libscim8
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: scim (<< 1.2.0), libscim8, scim-gtk2-immodule (<< 1.4.9-2)
 Replaces: scim (<< 1.2.0), libscim8
 Description: library for SCIM platform
  SCIM (Smart Common Input Method) is an input method (IM) platform.
@@ -65,7 +69,8 @@
 Package: libscim-dev
 Section: libdevel
 Architecture: any
-Depends: libscim8c2a (= ${binary:Version}), libx11-dev, libgtk2.0-dev, libpango1.0-dev, scim-gtk2-immodule
+Pre-Depends: ${misc:Pre-Depends}
+Depends: libscim8c2a (= ${binary:Version}), libx11-dev, libgtk2.0-dev, libpango1.0-dev, ${misc:Depends}
 Conflicts: scim-dev (<< 1.2.0)
 Replaces: scim-dev (<< 1.2.0)
 Description: development library for SCIM platform
@@ -87,27 +92,27 @@
  For more information about SCIM, please see the description of scim package.
 
 Package: scim-gtk2-immodule
-Section: utilities
 Architecture: any
-Depends: scim-modules-socket (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Depends: scim, scim-modules-socket (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Enhances: scim
 Description: GTK+2 input method module with SCIM as backend
  SCIM (Smart Common Input Method) is an input method (IM) platform.
  .
  This package is the GTK+ 2.x native input method module for SCIM.  It provide
- a GTK IM module with SCIM as the input backend.  This input method module
+ a GTK+ IM module with SCIM as the input backend.  This input method module
  should work within all GTK+ 2.x platforms, including gtk-x11, gtk-linuxfb and
  gtk-directfb.
  .
- The GTK IM module communicates with SCIM backend through the socket IM engine
+ The GTK+ IM module communicates with SCIM backend through the socket IM engine
  module and socket front end module provided by scim-modules-socket package.
  .
  For more information about SCIM, please see the description of scim package.
 
 Package: scim-modules-socket
-Section: utilities
 Architecture: any
-Depends: ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: scim-config-socket, scim-frontend-socket, scim-server-socket
 Replaces: scim-config-socket, scim-frontend-socket, scim-server-socket
 Provides: scim-config-socket, scim-frontend-socket, scim-server-socket
@@ -126,17 +131,18 @@
 Package: scim-dev
 Section: devel
 Architecture: all
-Depends: libscim-dev (>= ${source:Version}), scim-dev-doc (= ${source:Version})
+Depends: libscim-dev (>= ${source:Version}), scim-dev-doc (= ${source:Version}), ${misc:Depends}
 Description: development files for SCIM platform
  SCIM (Smart Common Input Method) is an input method (IM) platform.
  .
- This package is a meta package to provide development libraries and
+ This package is a metapackage to provide development libraries and
  documentations for SCIM platform.
  .
  For more information about SCIM, please see the description of scim package.
 
 Package: scim-dev-doc
 Section: doc
+Depends: ${misc:Depends}
 Architecture: all
 Description: development documentation for SCIM platform
  SCIM (Smart Common Input Method) is an input method (IM) platform.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export DH_OPTIONS=-v
export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh --with autotools-dev --with autoreconf $@

# If --with autoreconf is not available, use following while
# ebian/control: Build-Depends: entry "dh-autoreconf" replaced
# by "perl, debhelper, autoconf, automake | automaken, libtool".
#
#override_dh_auto_configure:
#	./bootstrap
#	dh_auto_configure

override_dh_auto_clean:
	# http://bugs.debian.org/427520
	rm -f docs/manual/zh_CN/user-manual.*
	dh_auto_clean

override_dh_auto_install:
	dh_auto_install
	# empty the dependency_libs field in .la files (bug 591628)
	for FILE in debian/tmp/usr/lib/*.la; \
	do \
		sed -i "/dependency_libs/ s/'.*'/''/" $$FILE; \
	done
	# move libraries based on gtk_binary_version
	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gtk-2.0/`pkg-config --variable=gtk_binary_version gtk+-2.0`/
	mv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gtk-2.0/immodules \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gtk-2.0/`pkg-config --variable=gtk_binary_version gtk+-2.0`/

override_dh_installdocs:
	dh_installdocs -X Makefile

override_dh_install:
	dh_install
	LD_LIBRARY_PATH=debian/libscim8c2a/usr/lib/$(DEB_HOST_MULTIARCH):$(LD_LIBRARY_PATH) \
		dh_gtkmodules -p scim-gtk2-immodule

override_dh_makeshlibs:
	dh_makeshlibs -p libscim8c2a -V "libscim8c2a (>= 1.4.9)"

override_dh_shlibdeps:
	dh_shlibdeps -l debian/libscim8c2a/usr/lib -L libscim8c2a

# vim:textwidth=0:

## scim 1.4.13

=== debian/changelog ===
scim (1.4.13-5) unstable; urgency=low

  * libscim-dev: depend on libgtk-3-dev. Closes: #676790

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Tue, 12 Jun 2012 10:42:11 +0800

scim (1.4.13-4) unstable; urgency=low

  * debian/rules:
    - empty dependency_libs field in all *.la files below /usr/lib.
    - adjust paths in .la files for multi-arch. Closes: #675688
    - add -fpermissive to CXXFLAGS as a temp workaround. Closes: #674814

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sun, 03 Jun 2012 15:11:26 +0800

scim (1.4.13-3) unstable; urgency=low

  * multi-archify libscim-dev (closes: #675224) and scim-modules-socket

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sat, 02 Jun 2012 22:13:06 +0800

scim (1.4.13-2) unstable; urgency=low

  * libscim8c2a: install files to multi-arch paths. Closes: #674813

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Mon, 28 May 2012 09:48:44 +0800

scim (1.4.13-1) unstable; urgency=low

  * new upstream release. Closes: #649872, LP: #933908
    - input in iceweasel works again. Closes: #642929
    - drop the 22 (out of 24!) patches that we pushed upstream. Yay!
    - rebase the remaining two patches
    - adds gtk3 support. consolidate it with gtk2 support in new package
      scim-gtk-immodules.  Closes: #641140, Closes: #632094, LP: #931822
  * debian/control:
    - update to latest Standards version. no further changes.
    - drop inactive co-maintainers from Uploaders as requested
      Li, Ming-Hua and Osamu, thank you for your work over the years
    - add Tz-Huan as new co-maintainer. Welcome aboard! Closes: #661106
    - update package dependency information (build and run time)
  * debian/copyright:
    - point to version-agnostic download page upstream
    - drop old and add new co-maintainers
    - update my copyright
  * debian/rules:
    - relax shlibs version requirement on libscim to 1.4
    - catch errors to comply with policy 4.6. Thx Jwilk!
  * re-enable straight lucid backporting
  * drop all packaging code related to obsolete and gone Chinese manual
  * dynamically generate debian/*.install files for multi-arch
  * explicitly compile the docs. They are no longer part of upstream tarball.

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sun, 27 May 2012 15:36:22 +0800

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 DM-Upload-Allowed: yes
 Maintainer: Rolf Leggewie <foss@rolf.leggewie.biz>
-Uploaders: 
- Osamu Aoki <osamu@debian.org>, 
- LI Daobing <lidaobing@debian.org>,
- Ming Hua <minghua-guest@users.alioth.debian.org>
-Build-Depends: dpkg-dev (>= 1.14.6), debhelper (>= 8.1.3~), autotools-dev, pkg-config, x11proto-core-dev, libx11-dev, libpango1.0-dev, libglib2.0-dev, libgtk2.0-dev (>= 2.10.1), dh-autoreconf, libltdl-dev
-Standards-Version: 3.9.1
+Uploaders: Tz-Huan Huang <tzhuan@gmail.com>
+Standards-Version: 3.9.3
+Build-Depends: dpkg-dev (>= 1.14.6), debhelper (>= 7.0.50~),
+ autotools-dev, pkg-config, x11proto-core-dev, libx11-dev,
+ libpango1.0-dev, libglib2.0-dev, libgtk2.0-dev, libgtk-3-dev | libgtk2.0-dev (<< 2.21),
+ libltdl-dev, intltool, doxygen
 Homepage: http://www.scim-im.org/
 Vcs-git: git://git.debian.org/git/collab-maint/scim.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/scim.git
@@ -18,9 +18,8 @@
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: scim-gtk2-immodule (= ${binary:Version}), im-config | im-switch, scim-bridge-agent
+Recommends: scim-gtk-immodule (= ${binary:Version}), im-config | im-switch, scim-bridge-agent
 Suggests: scim-uim, scim-pinyin, scim-hangul, scim-chewing, scim-m17n, scim-prime, scim-anthy, scim-skk, scim-canna, scim-tables-additional, scim-tables-ja, scim-tables-ko, scim-tables-zh, scim-thai
-Conflicts: scim-tables-zh (<< 0.4.2), scim-tables-ja (<< 0.4.2), scim-tables-ko (<< 0.4.2), scim-tables-additional (<< 0.4.2), scim-gtk2-immodule (<< 1.2.0), scim-server-socket (<< 1.2.0), scim-frontend-socket (<< 1.2.0), scim-config-socket (<< 1.2.0), scim-config-gconf (<< 1.2.0), scim-chinese (<< 0.5.0), scim-uim (<= 0.1.3-2), scim-m17n (<= 0.1.3-1), scim-hangul (<= 0.1.2-1), scim-chewing (<= 0.2.0-2.1)
 Description: smart common input method platform
  Smart Common Input Method (SCIM) is an input method (IM) platform.  Input
  methods are needed to enter complex characters in many non-latin languages.
@@ -46,7 +45,7 @@
  for many languages.  In Debian you can find the following separately packaged
  IMs useful: scim-tables-{additional,ja,ko,zh}, scim-pinyin, scim-uim,
  scim-m17n, scim-chewing, scim-anthy, scim-canna, scim-prime, and scim-skk.
- GTK+ users would also find package scim-gtk2-immodule useful for GTK+ IM
+ GTK+ users would also find package scim-gtk-immodule useful for GTK+ IM
  module support.
  .
  For development on SCIM platform, please see the description of scim-dev
@@ -55,10 +54,9 @@
 Package: libscim8c2a
 Section: libs
 Architecture: any
+Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: scim (<< 1.2.0), libscim8, scim-gtk2-immodule (<< 1.4.9-2)
-Replaces: scim (<< 1.2.0), libscim8
 Description: library for SCIM platform
  SCIM (Smart Common Input Method) is an input method (IM) platform.
  .
@@ -69,10 +67,10 @@
 Package: libscim-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libscim8c2a (= ${binary:Version}), libx11-dev, libgtk2.0-dev, libpango1.0-dev, ${misc:Depends}
-Conflicts: scim-dev (<< 1.2.0)
-Replaces: scim-dev (<< 1.2.0)
+Depends: libscim8c2a (= ${binary:Version}), libx11-dev, libgtk2.0-dev,
+ libgtk-3-dev | libgtk2.0-dev (<< 2.21), libpango1.0-dev, ${misc:Depends}
 Description: development library for SCIM platform
  SCIM (Smart Common Input Method) is an input method (IM) platform.
  .
@@ -91,18 +89,22 @@
  .
  For more information about SCIM, please see the description of scim package.
 
-Package: scim-gtk2-immodule
+Package: scim-gtk-immodule
 Architecture: any
+Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: scim, scim-modules-socket (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Provides: scim-gtk2-immodule
+Conflicts: scim-gtk2-immodule
+Replaces: scim-gtk2-immodule
 Enhances: scim
-Description: GTK+2 input method module with SCIM as backend
+Description: GTK+ input method module with SCIM as backend
  SCIM (Smart Common Input Method) is an input method (IM) platform.
  .
- This package is the GTK+ 2.x native input method module for SCIM.  It provide
- a GTK+ IM module with SCIM as the input backend.  This input method module
- should work within all GTK+ 2.x platforms, including gtk-x11, gtk-linuxfb and
- gtk-directfb.
+ This package is the GTK+ native input method module for SCIM.  It provides
+ a GTK+ IM module for version 2 and 3 of GTK with SCIM as the input backend.
+ This input method module should work within all GTK+ platforms, including
+ gtk-x11, gtk-linuxfb and gtk-directfb.
  .
  The GTK+ IM module communicates with SCIM backend through the socket IM engine
  module and socket front end module provided by scim-modules-socket package.
@@ -111,11 +113,9 @@
 
 Package: scim-modules-socket
 Architecture: any
+Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: scim-config-socket, scim-frontend-socket, scim-server-socket
-Replaces: scim-config-socket, scim-frontend-socket, scim-server-socket
-Provides: scim-config-socket, scim-frontend-socket, scim-server-socket
 Enhances: scim
 Description: socket modules for SCIM platform
  SCIM (Smart Common Input Method) is an input method (IM) platform.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export DH_OPTIONS=-v
export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export CXXFLAGS += -fpermissive

%:
	dh --with autotools-dev $@

override_dh_auto_build:
	$(MAKE) docs
	dh_auto_build

override_dh_auto_install:
	set -e
	dh_auto_install
	# empty the dependency_libs field in .la files (bug 591628)
	find debian/tmp/usr/lib/ -name *.la -exec sed -i "/dependency_libs/ s/'.*'/''/" {} \;
	# adjust paths in .la files for multi-arch (bug 675688)
	find debian/tmp/usr/lib/ -name *.la -exec sed -i -e "/usr\/lib/ s!'/usr/lib'!'/usr/lib/$(DEB_HOST_MULTIARCH)'!" {} \;
	# move libraries based on gtk_binary_version
	# continue on errors
	for i in 2 3; do \
	  mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gtk-$$i.0/`pkg-config --variable=gtk_binary_version gtk+-$$i.0`/; \
	  mv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gtk-$$i.0/immodules \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gtk-$$i.0/`pkg-config --variable=gtk_binary_version gtk+-$$i.0`/ || true; \
	done

override_dh_installdocs:
	dh_installdocs -X Makefile

override_dh_install:
	set -e

	for FILE in debian/*.install.in; \
	do \
		sed -e "s/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g" $$FILE > debian/`basename $$FILE .in`; \
	done

	dh_install
	sed -i -e 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' debian/scim/etc/X11/xinit/xinput.d/scim-immodule
	LD_LIBRARY_PATH=debian/libscim8c2a/usr/lib/$(DEB_HOST_MULTIARCH):$(LD_LIBRARY_PATH) \
		dh_gtkmodules -p scim-gtk-immodule

override_dh_makeshlibs:
	dh_makeshlibs -p libscim8c2a -V "libscim8c2a (>= 1.4)"

override_dh_shlibdeps:
	dh_shlibdeps -l debian/libscim8c2a/usr/lib -L libscim8c2a

# vim:textwidth=0:
